require "import"
import "android.widget.*"
import "com.androlua.*"

-- تعريف عناصر الواجهة
layout = {
    LinearLayout,
    orientation="vertical",
    {
        TextView,
hint="أكوادُ الإعدادات جاهزة",
      onClick = function(v)
        dlg.dismiss()
      end,
      onLongClickListener = {
        onLongClick = function(v)
          dlg.dismiss()
          return true
        end,
      },
        layout_width="match_parent",
        layout_height="wrap_content",
background="#ff000000",
textSize = "40sp",
        gravity="center",
    },

    {
        EditText,
        id="searchBox",
        layout_width="match_parent",
        layout_height="wrap_content",
        hint="ابحث هنا",
background="#ff600000",
        gravity="center",
    },
    {
        TextView,
        id="itemCount",
onClick="copyAllItems",
      onLongClickListener = {
        onLongClick = function(v)
          dlg.dismiss()
          return true
        end,
      },
        layout_width="match_parent",
        layout_height="wrap_content",
background="#ff000000",
textSize = "25sp",
        gravity="center",
    },
    {
        ListView,
        id="listView",
        layout_width="match_parent",
        layout_height="match_parent",
background="#ff000000",
    }
}

-- الأكواد الأصلية
codes = {
"إعدادات واجهة MIUI في تطبيق إعدادات Android",
"com.android.settings.MiuiSettings",
"إعدادات رئيسية في تطبيق إعدادات Android",
"com.android.settings.MainSettings",
"النشاط الداخلي لواجهة الصفحة الرئيسية في تطبيق إعدادات Android",
"com.android.settings.homepage.DeepLinkHomepageActivityInternal",
"نشاط الحماية بكلمة مرور MIUI في تطبيق إعدادات Android",
"com.android.settings.MiuiPasswordGuardActivity",
"إعدادات فرعية في تطبيق إعدادات Android",
"com.android.settings.SubSettings",
"نشاط تعطيل المعاينة الفرعية في إعدادات MIUI",
"com.android.settings.MiuiSubSettingsDisablePreview",
"نشاط إنشاء اختصارات في تطبيق إعدادات Android",
"com.android.settings.Settings$CreateShortcutActivity",
"حوار اتصال Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.wifi.WifiConnectionDialog",
"إعدادات أولوية Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.wifi.WifiPrioritySettings",
"إعدادات الاتصال اللاسلكي في تطبيق إعدادات Android",
"com.android.settings.Settings$WirelessSettingsActivity",
"لوحة تحكم الشبكة في تطبيق إعدادات Android",
"com.android.settings.Settings$NetworkDashboardActivity",
"إعدادات الشبكة المحمولة في تطبيق إعدادات Android",
"com.android.settings.Settings$MobileNetworkActivity",
"قائمة الشبكة المحمولة في تطبيق إعدادات Android",
"com.android.settings.Settings$MobileNetworkListActivity",
"لوحة تحكم الأجهزة المتصلة في تطبيق إعدادات Android",
"com.android.settings.Settings$ConnectedDeviceDashboardActivity",
"نشاط وضع الطيران الصوتي في تطبيق إعدادات Android",
"com.android.settings.AirplaneModeVoiceActivity",
"نشاط نتائج البحث في تطبيق إعدادات Android",
"com.android.settings.search.SearchResultTrampoline",
"صفحة إعدادات Memtag في تطبيق إعدادات Android",
"com.android.settings.Settings$MemtagPageActivity",
"إعدادات Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.Settings$WifiSettingsActivity",
"إعدادات Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.wifi.WifiSettings",
"إعدادات Wi-Fi البديلة في تطبيق إعدادات Android",
"com.android.settings.Settings$WifiSettings2Activity",
"إضافة شبكة في تطبيق إعدادات Android",
"com.android.settings.Settings$AddNetworkActivity",
"إعدادات موفر الشبكة في تطبيق إعدادات Android",
"com.android.settings.Settings$NetworkProviderSettingsActivity",
"اختيار الشبكة في تطبيق إعدادات Android",
"com.android.settings.Settings$NetworkSelectActivity",
"تفاصيل إعدادات Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.Settings$WifiDetailsSettingsActivity",
"إعدادات Wi-Fi المزدوجة في تطبيق إعدادات Android",
"com.android.settings.Settings$DualWifiSettingsActivity",
"إعدادات Wi-Fi Link Turbo في تطبيق إعدادات Android",
"com.android.settings.wifi.linkturbo.WifiLinkTurboSettings",
"اختيار شبكة Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.wifi.WifiPickerActivity",
"إعدادات السطوع التكيفي في تطبيق إعدادات Android",
"com.android.settings.Settings$AdaptiveBrightnessActivity",
"تكوين إعدادات Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.Settings$ConfigureWifiSettingsActivity",
"إعدادات نقاط الوصول المحفوظة في تطبيق إعدادات Android",
"com.android.settings.Settings$SavedAccessPointsSettingsActivity",
"معلومات Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.Settings$WifiInfoActivity",
"معلومات تكوين Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.wifi.WifiConfigInfo",
"اختبار AP Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.Settings$WifiAPITestActivity",
"اختبار حالة Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.wifi.WifiStatusTest",
"حوار عدم وجود إنترنت في Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.wifi.WifiNoInternetDialog",
"إعدادات DNS الخاصة في تطبيق إعدادات Android",
"com.android.settings.network.PrivateDnsSettingsActivity",
"حوار مساعد Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.wifi.WifiAssistantDialog",
"إعدادات APN في تطبيق إعدادات Android",
"com.android.settings.Settings$ApnSettingsActivity",
"إعدادات Bluetooth في تطبيق إعدادات Android",
"com.android.settings.Settings$BluetoothSettingsActivity",
"إعدادات Bluetooth في تطبيق إعدادات Android",
"com.android.settings.bluetooth.BluetoothSettings",
"إعدادات إيماءات المساعدة في تطبيق إعدادات Android",
"com.android.settings.Settings$AssistGestureSettingsActivity",
"إعدادات التعرف على الوجه في تطبيق إعدادات Android",
"com.android.settings.Settings$FaceSettingsActivity",
"الإعدادات الداخلية للتعرف على الوجه في تطبيق إعدادات Android",
"com.android.settings.Settings$FaceSettingsInternalActivity",
"إعدادات بصمات الأصابع في تطبيق إعدادات Android",
"com.android.settings.Settings$FingerprintSettingsActivity",
"إعدادات القياسات الحيوية المدمجة في تطبيق إعدادات Android",
"com.android.settings.Settings$CombinedBiometricSettingsActivity",
"إعدادات الملف الشخصي للقياسات الحيوية المدمجة في تطبيق إعدادات Android",
"com.android.settings.Settings$CombinedBiometricProfileSettingsActivity",
"اختيار الجهاز في Bluetooth في تطبيق إعدادات Android",
"com.android.settings.bluetooth.DevicePickerActivity",
"إعدادات مشاركة الاتصال في تطبيق إعدادات Android",
"com.android.settings.network.TetherProvisioningActivity",
"حوار موفر مشاركة الاتصال في تطبيق إعدادات Android",
"com.android.settings.network.TetherProvisioningCarrierDialogActivity",
"حوار تبديل الاشتراك في تطبيق إعدادات Android",
"com.android.settings.network.telephony.ToggleSubscriptionDialogActivity",
"حوار حذف اشتراك Euicc في تطبيق إعدادات Android",
"com.android.settings.network.telephony.DeleteEuiccSubscriptionDialogActivity",
"إعدادات مشاركة الاتصال في تطبيق إعدادات Android",
"com.android.settings.Settings$TetherSettingsActivity",
"إعدادات مشاركة الاتصال في تطبيق إعدادات Android",
"com.android.settings.TetherSettings",
"إعدادات مشاركة Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.Settings$WifiTetherSettingsActivity",
"إعدادات Wi-Fi P2P في تطبيق إعدادات Android",
"com.android.settings.Settings$WifiP2pSettingsActivity",
"إعدادات Wi-Fi P2P المزدوجة في تطبيق إعدادات Android",
"com.android.settings.Settings$DualWifiP2pSettingsActivity",
"إعدادات VPN في تطبيق إعدادات Android",
"com.android.settings.Settings$VpnSettingsActivity",
"ملخص توفير البيانات في تطبيق إعدادات Android",
"com.android.settings.Settings$DataSaverSummaryActivity",
"إعدادات المهام الخلفية الطويلة في تطبيق إعدادات Android",
"com.android.settings.Settings$LongBackgroundTasksActivity",
"إعدادات تطبيقات المهام الخلفية الطويلة في تطبيق إعدادات Android",
"com.android.settings.Settings$LongBackgroundTasksAppActivity",
"إعدادات التاريخ والوقت في تطبيق إعدادات Android",
"com.android.settings.Settings$DateTimeSettingsActivity",
"إعدادات تخطيط الصفحات في تطبيق إعدادات Android",
"com.android.settings.Settings$PageLayoutActivity",
"إعدادات تكبير الشاشة في تطبيق إعدادات Android",
"com.android.settings.display.ScreenZoomActivity",
"اختيار اللغة في تطبيق إعدادات Android",
"com.android.settings.Settings$LocalePickerActivity",
"اختيار اللغة مع المنطقة في تطبيق إعدادات Android",
"com.android.settings.localepicker.LocalePickerWithRegionActivity",
"اختيار لغة التطبيق في تطبيق إعدادات Android",
"com.android.settings.localepicker.AppLocalePickerActivity",
"إعدادات اللغة والإدخال في تطبيق إعدادات Android",
"com.android.settings.Settings$LanguageAndInputSettingsActivity",
"إعدادات اللغة في تطبيق إعدادات Android",
"com.android.settings.LanguageSettings",
"إعدادات اللغة في تطبيق إعدادات Android",
"com.android.settings.Settings$LanguageSettingsActivity",
"إعدادات وضع التنقل في تطبيق إعدادات Android",
"com.android.settings.Settings$NavigationModeSettingsActivity",
"إعدادات التفضيلات الإقليمية في تطبيق إعدادات Android",
"com.android.settings.Settings$RegionalPreferencesActivity",
"إعدادات لوحة المفاتيح في تطبيق إعدادات Android",
"com.android.settings.Settings$KeyboardSettingsActivity",
"إعدادات لوحات المفاتيح الافتراضية المتاحة في تطبيق إعدادات Android",
"com.android.settings.inputmethod.AvailableVirtualKeyboardActivity",
"إدارة المساعد في تطبيق إعدادات Android",
"com.android.settings.Settings$ManageAssistActivity",
"إدارة الصوت في تطبيق إعدادات Android",
"com.android.settings.Settings$ManageVoiceActivity",
"اختيار تخطيط لوحة المفاتيح في تطبيق إعدادات Android",
"com.android.settings.Settings$KeyboardLayoutPickerActivity",
"إعدادات لوحة المفاتيح المادية في تطبيق إعدادات Android",
"com.android.settings.Settings$PhysicalKeyboardActivity",
"إعدادات المدقق الإملائي في تطبيق إعدادات Android",
"com.android.settings.Settings$SpellCheckersSettingsActivity",
"تمكين طريقة الإدخال والنوع في تطبيق إعدادات Android",
"com.android.settings.inputmethod.InputMethodAndSubtypeEnablerActivity",
"إعدادات قاموس المستخدم في تطبيق إعدادات Android",
"com.android.settings.Settings$UserDictionarySettingsActivity",
"إعدادات قاموس المستخدم في تطبيق إعدادات Android",
"com.android.settings.UserDictionarySettings",
"إضافة كلمة إلى قاموس المستخدم في تطبيق إعدادات Android",
"com.android.settings.inputmethod.UserDictionaryAddWordActivity",
"إعدادات وضع عدم الإزعاج في تطبيق إعدادات Android",
"com.android.settings.Settings$ZenModeSettingsActivity",
"اقتراحات وضع عدم الإزعاج في تطبيق إعدادات Android",
"com.android.settings.notification.zen.ZenSuggestionActivity",
"تمهيد وضع عدم الإزعاج في تطبيق إعدادات Android",
"com.android.settings.notification.zen.ZenOnboardingActivity",
"إعدادات أتمتة وضع عدم الإزعاج في تطبيق إعدادات Android",
"com.android.settings.Settings$ZenModeAutomationSettingsActivity",
"إعدادات الخلفية في تطبيق إعدادات Android",
"com.android.settings.Settings$WallpaperSettingsActivity",
"اقتراحات الخلفية في تطبيق إعدادات Android",
"com.android.settings.wallpaper.WallpaperSuggestionActivity",
"اقتراحات النمط في تطبيق إعدادات Android",
"com.android.settings.wallpaper.StyleSuggestionActivity",
"إعدادات قاعدة الجدول الزمني لوضع عدم الإزعاج في تطبيق إعدادات Android",
"com.android.settings.Settings$ZenModeScheduleRuleSettingsActivity",
"إعدادات قاعدة الحدث لوضع عدم الإزعاج في تطبيق إعدادات Android",
"com.android.settings.Settings$ZenModeEventRuleSettingsActivity",
"إعدادات العرض في تطبيق إعدادات Android",
"com.android.settings.Settings$DisplaySettingsActivity",
"إعدادات العرض في تطبيق إعدادات Android",
"com.android.settings.DisplaySettings",
"إعدادات التدوير التلقائي الذكي في تطبيق إعدادات Android",
"com.android.settings.Settings$SmartAutoRotateSettingsActivity",
"إعدادات العرض الليلي في تطبيق إعدادات Android",
"com.android.settings.Settings$NightDisplaySettingsActivity",
"إعدادات الوضع الداكن في تطبيق إعدادات Android",
"com.android.settings.Settings$DarkThemeSettingsActivity",
"اقتراحات العرض الليلي في تطبيق إعدادات Android",
"com.android.settings.Settings$NightDisplaySuggestionActivity",
"معلومات الجهاز في تطبيق إعدادات Android",
"com.android.settings.Settings$MyDeviceInfoActivity",
"تحرير اسم الجهاز في تطبيق إعدادات Android",
"com.android.settings.Settings$DeviceNameEditActivity",
"إعدادات شاشة القفل في تطبيق إعدادات Android",
"com.android.settings.Settings$LockScreenSettingsActivity",
"نشاط اقتران Bluetooth في تطبيق إعدادات Android",
"com.android.settings.Settings$BlueToothPairingActivity",
"إعدادات التراخيص في تطبيق إعدادات Android",
"com.android.settings.SettingsLicenseActivity",
"إعدادات التراخيص للوحدات في تطبيق إعدادات Android",
"com.android.settings.Settings$ModuleLicensesActivity",
"إدارة التطبيقات في تطبيق إعدادات Android",
"com.android.settings.Settings$ManageApplicationsActivity",
"استخدام التخزين في تطبيق إعدادات Android",
"com.android.settings.applications.StorageUse",
"الخدمات الجارية في تطبيق إعدادات Android",
"com.android.settings.RunningServices",
"إدارة التطبيقات في تطبيق إعدادات Android",
"com.android.settings.applications.ManageApplications",
"إدارة عناوين URL في تطبيق إعدادات Android",
"com.android.settings.Settings$ManageDomainUrlsActivity",
"إعدادات الذاكرة في تطبيق إعدادات Android",
"com.android.settings.Settings$MemorySettingsActivity",
"استخدام ذاكرة التطبيقات في تطبيق إعدادات Android",
"com.android.settings.Settings$AppMemoryUsageActivity",
"تطبيقات استهلاك الطاقة العالي في تطبيق إعدادات Android",
"com.android.settings.Settings$HighPowerApplicationsActivity",
"استخدام بيانات التطبيقات في تطبيق إعدادات Android",
"com.android.settings.datausage.AppDataUsageActivity",
"طلب تجاهل تحسينات البطارية في تطبيق إعدادات Android",
"com.android.settings.fuelgauge.RequestIgnoreBatteryOptimizations",
"رابط عميق للشرائح في تطبيق إعدادات Android",
"com.android.settings.slices.SliceDeepLinkSpringBoard",
"تفاصيل التطبيق المثبتة في تطبيق إعدادات Android",
"com.android.settings.applications.InstalledAppDetailsTop",
"تفاصيل التطبيق المثبتة في تطبيق إعدادات Android",
"com.android.settings.applications.InstalledAppDetails",
"فتح التطبيق المثبت بالافتراض في تطبيق إعدادات Android",
"com.android.settings.applications.InstalledAppOpenByDefaultActivity",
"الخدمات الجارية في تطبيق إعدادات Android",
"com.android.settings.Settings$RunningServicesActivity",
"استخدام التخزين في تطبيق إعدادات Android",
"com.android.settings.Settings$StorageUseActivity",
"محطة الإشعارات في تطبيق إعدادات Android",
"com.android.settings.Settings$NotificationStationActivity",
"سجل الإشعارات في تطبيق إعدادات Android",
"com.android.settings.notification.history.NotificationHistoryActivity",
"الصوت في وضع عدم الإزعاج في تطبيق إعدادات Android",
"com.android.settings.notification.zen.ZenModeVoiceActivity",
"إعدادات الموقع في تطبيق إعدادات Android",
"com.android.settings.Settings$LocationSettingsActivity",
"إعدادات المسح في تطبيق إعدادات Android",
"com.android.settings.Settings$ScanningSettingsActivity",
"إعدادات المسح في Wi-Fi في تطبيق إعدادات Android",
"com.android.settings.Settings$WifiScanningSettingsActivity",
"لوحة التحكم الأمنية في تطبيق إعدادات Android",
"com.android.settings.Settings$SecurityDashboardActivity",
"إعدادات الأمان المتقدمة في تطبيق إعدادات Android",
"com.android.settings.Settings$SecurityAdvancedSettings",
"إعدادات الأمان والخصوصية المتقدمة في تطبيق إعدادات Android",
"com.android.settings.Settings$MoreSecurityPrivacySettingsActivity",
"معلومات الشهادات المراقبة في تطبيق إعدادات Android",
"com.android.settings.MonitoringCertInfoActivity",
"إعدادات الشهادات الموثوقة في تطبيق إعدادات Android",
"com.android.settings.Settings$TrustedCredentialsSettingsActivity",
"إعدادات الخصوصية في تطبيق إعدادات Android",
"com.android.settings.Settings$PrivacySettingsActivity",
"لوحة التحكم في الخصوصية في تطبيق إعدادات Android",
"com.android.settings.Settings$PrivacyDashboardActivity",
"إعدادات التحكم في الخصوصية في تطبيق إعدادات Android",
"com.android.settings.Settings$PrivacyControlsActivity",
"الصفحة الرئيسية لنظام تطوير Tare في تطبيق إعدادات Android",
"com.android.settings.development.tare.TareHomePage",
"نشاط القائمة المنسدلة لنظام تطوير Tare في تطبيق إعدادات Android",
"com.android.settings.development.tare.DropdownActivity",
"تعيين كلمة مرور النسخ الاحتياطي الكامل في تطبيق إعدادات Android",
"com.android.settings.SetFullBackupPassword",
"تخزين الشهادات في تطبيق إعدادات Android",
"com.android.settings.security.CredentialStorage",
"تحذير تثبيت شهادة CA في تطبيق إعدادات Android",
"com.android.settings.security.InstallCaCertificateWarning",
"طلب إدارة الشهادات في تطبيق إعدادات Android",
"com.android.settings.security.RequestManageCredentials",
"إعدادات مدير الجهاز في تطبيق إعدادات Android",
"com.android.settings.Settings$DeviceAdminSettingsActivity",
"إعدادات مدير الجهاز في تطبيق إعدادات Android",
"com.android.settings.DeviceAdminSettings",
"إضافة مدير الجهاز في تطبيق إعدادات Android",
"com.android.settings.applications.specialaccess.deviceadmin.DeviceAdminAdd",
"إضافة مالك الملف الشخصي في إعدادات Android",
"com.android.settings.applications.specialaccess.deviceadmin.ProfileOwnerAdd",
"إعدادات الوصول للاستخدام في تطبيق إعدادات Android",
"com.android.settings.Settings$UsageAccessSettingsActivity",
"إعدادات الوصول لاستخدام التطبيقات في تطبيق إعدادات Android",
"com.android.settings.Settings$AppUsageAccessSettingsActivity",
"إعدادات قفل بطاقة ICC في تطبيق إعدادات Android",
"com.android.settings.Settings$IccLockSettingsActivity",
"إعدادات إمكانية الوصول في MIUI في تطبيق إعدادات Android",
"com.android.settings.accessibility.MiuiAccessibilitySettingsActivity",
"إعدادات تفاصيل إمكانية الوصول في تطبيق إعدادات Android",
"com.android.settings.Settings$AccessibilityDetailsSettingsActivity",
"إعدادات إمكانية الوصول لإعداد جهاز جديد في تطبيق إعدادات Android",
"com.android.settings.accessibility.AccessibilitySettingsForSetupWizardActivity",
"إعدادات قراءة النص لإعداد جهاز جديد في تطبيق إعدادات Android",
"com.android.settings.TextReadingForSetupWizardActivity",
"إعدادات حجم الخط لإعداد جهاز جديد في تطبيق إعدادات Android",
"com.android.settings.FontSizeSettingsForSetupWizardActivity",
"إعدادات قراءة النص في تطبيق إعدادات Android",
"com.android.settings.Settings$TextReadingSettingsActivity",
"إعدادات الدالتونيزم في تطبيق إعدادات Android",
"com.android.settings.Settings$AccessibilityDaltonizerSettingsActivity",
"إعدادات تقليل الألوان الساطعة في تطبيق إعدادات Android",
"com.android.settings.Settings$ReduceBrightColorsSettingsActivity",
"إعدادات انعكاس الألوان في تطبيق إعدادات Android",
"com.android.settings.Settings$AccessibilityInversionSettingsActivity",
"إعدادات الترجمة النصية في تطبيق إعدادات Android",
"com.android.settings.Settings$CaptioningSettingsActivity",
"إعدادات وضع كبار السن في تطبيق إعدادات Android",
"com.android.settings.OldmanModeSettings",
"تأكيد التحكم في الوصول في تطبيق إعدادات Android",
"com.android.settings.ConfirmAccessControl",
"تأكيد التحكم في الوصول للاختصارات في تطبيق إعدادات Android",
"com.android.settings.ShortcutConfirmAccessControl",
"إعدادات الألوان والحركة في تطبيق إعدادات Android",
"com.android.settings.Settings$ColorAndMotionActivity",
"إعدادات تحويل النص إلى كلام في تطبيق إعدادات Android",
"com.android.settings.Settings$TextToSpeechSettingsActivity",
"إعدادات خصوصية المؤسسة في تطبيق إعدادات Android",
"com.android.settings.Settings$EnterprisePrivacySettingsActivity",
"تأكيد اعتماد الجهاز في تطبيق إعدادات Android",
"com.android.settings.password.ConfirmDeviceCredentialActivity",
"تأكيد اعتماد الجهاز عن بعد في تطبيق إعدادات Android",
"com.android.settings.ConfirmRemoteDeviceCredentialActivity",
"تأكيد اعتماد الجهاز في تطبيق إعدادات Android",
"com.android.settings.ConfirmDeviceCredentialActivity",
"تأكيد اعتماد الجهاز الداخلي في تطبيق إعدادات Android",
"com.android.settings.password.ConfirmDeviceCredentialActivity$InternalActivity",
"انقطاع الوصول إلى الإشعارات في تطبيق إعدادات Android",
"com.android.settings.notification.RedactionInterstitial",
"إعدادات انقطاع الوصول إلى الإشعارات في تطبيق إعدادات Android",
"com.android.settings.notification.RedactionSettingsStandalone",
"تأكيد قفل النمط في تطبيق إعدادات Android",
"com.android.settings.password.ConfirmLockPattern",
"تأكيد قفل كلمة المرور في تطبيق إعدادات Android",
"com.android.settings.password.ConfirmLockPassword",
"نشاط نسيان كلمة المرور في تطبيق إعدادات Android",
"com.android.settings.password.ForgotPasswordActivity",
"موافقة الوالدين لتسجيل الوجه في تطبيق إعدادات Android",
"com.android.settings.biometrics.face.FaceEnrollParentalConsent",
"مقدمة تسجيل الوجه في تطبيق إعدادات Android",
"com.android.settings.biometrics.face.FaceEnrollIntroduction",
"مقدمة تسجيل الوجه الداخلية في تطبيق إعدادات Android",
"com.android.settings.biometrics.face.FaceEnrollIntroductionInternal",
"تعليم تسجيل الوجه في تطبيق إعدادات Android",
"com.android.settings.biometrics.face.FaceEnrollEducation",
"تسجيل الوجه في تطبيق إعدادات Android",
"com.android.settings.biometrics.face.FaceEnrollEnrolling",
"إنهاء تسجيل الوجه في تطبيق إعدادات Android",
"com.android.settings.biometrics.face.FaceEnrollFinish",
"نشاط تحويل الأمان الحيوي في تطبيق إعدادات Android",
"com.android.settings.biometrics.BiometricHandoffActivity",
"نشاط تسجيل الأمان الحيوي الداخلي في تطبيق إعدادات Android",
"com.android.settings.biometrics.BiometricEnrollActivity$InternalActivity",
"نشاط تسجيل الأمان الحيوي في تطبيق إعدادات Android",
"com.android.settings.biometrics.BiometricEnrollActivity",
"تأكيد قفل النمط في تطبيق إعدادات Android",
"com.android.settings.ConfirmLockPattern",
"تأكيد قفل كلمة المرور في تطبيق إعدادات Android",
"com.android.settings.ConfirmLockPassword",
"إعدادات بصمة الإصبع في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintSettings",
"العثور على مستشعر بصمة الإصبع في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintEnrollFindSensor",
"تسجيل بصمة الإصبع في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintEnrollEnrolling",
"إنهاء تسجيل بصمة الإصبع في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintEnrollFinish",
"موافقة الوالدين لتسجيل بصمة الإصبع في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintEnrollParentalConsent",
"مقدمة تسجيل بصمة الإصبع في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintEnrollIntroduction",
"نشاط تسجيل بصمة الإصبع الداخلية في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintEnrollIntroductionInternal",
"العثور على مستشعر بصمة الإصبع لإعداد الجهاز في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.SetupFingerprintEnrollFindSensor",
"تسجيل بصمة الإصبع لإعداد الجهاز في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.SetupFingerprintEnrollEnrolling",
"إنهاء تسجيل بصمة الإصبع لإعداد الجهاز في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.SetupFingerprintEnrollFinish",
"نشاط اقتراح بصمة الإصبع في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintSuggestionActivity",
"نشاط البصمة الجديد في تطبيق إعدادات Android",
"com.android.settings.NewFingerprintActivity",
"إعدادات الرسوم المتحركة في MIUI GXZW في تطبيق إعدادات Android",
"com.android.settings.MiuiGxzwAnimSettingsActivity",
"إعدادات الرسوم المتحركة الداخلية في MIUI GXZW في تطبيق إعدادات Android",
"com.android.settings.MiuiGxzwAnimSettingsInternalActivity",
"إعداد الأمان الحيوي لـ Active Unlock في تطبيق إعدادات Android",
"com.android.settings.biometrics.activeunlock.ActiveUnlockRequireBiometricSetup",
"تأكيد قفل النمط الداخلي في تطبيق إعدادات Android",
"com.android.settings.password.ConfirmLockPattern$InternalActivity",
"تأكيد قفل كلمة المرور الداخلية في تطبيق إعدادات Android",
"com.android.settings.password.ConfirmLockPassword$InternalActivity",
"تأكيد قفل النمط الداخلي في تطبيق إعدادات Android",
"com.android.settings.ConfirmLockPattern$InternalActivity",
"تأكيد قفل كلمة المرور الداخلية في تطبيق إعدادات Android",
"com.android.settings.ConfirmLockPassword$InternalActivity",
"إعداد اختيار قفل الشاشة الداخلي في تطبيق إعدادات Android",
"com.android.settings.password.SetupChooseLockGeneric$InternalActivity",
"اختيار قفل الشاشة في تطبيق إعدادات Android",
"com.android.settings.password.ChooseLockGeneric",
"إعداد كلمة مرور جديدة في تطبيق إعدادات Android",
"com.android.settings.password.SetNewPasswordActivity",
"اختيار طريقة الأمان في MIUI في تطبيق إعدادات Android",
"com.android.settings.MiuiSecurityChooseUnlock",
"اختيار طريقة الأمان الداخلي في MIUI في تطبيق إعدادات Android",
"com.android.settings.MiuiSecurityChooseUnlock$InternalActivity",
"إعداد اختيار طريقة الأمان في MIUI في تطبيق إعدادات Android",
"com.android.settings.SetUpMiuiSecurityChooseUnlock",
"إعداد اختيار طريقة الأمان الداخلي في MIUI في تطبيق إعدادات Android",
"com.android.settings.SetUpMiuiSecurityChooseUnlock$InternalActivity",
"إعداد اختيار طريقة الأمان في MIUI عند التهيئة في تطبيق إعدادات Android",
"com.android.settings.ProvisionSetUpMiuiSecurityChooseUnlock",
"إعداد اختيار طريقة الأمان الداخلي في MIUI عند التهيئة في تطبيق إعدادات Android",
"com.android.settings.ProvisionSetUpMiuiSecurityChooseUnlock$InternalActivity",
"تأكيد نمط الفضاء في تطبيق إعدادات Android",
"com.android.settings.ConfirmSpacePatternActivity",
"تأكيد كلمة مرور الفضاء في تطبيق إعدادات Android",
"com.android.settings.ConfirmSpacePasswordActivity",
"اقتراحات قفل الشاشة في تطبيق إعدادات Android",
"com.android.settings.password.ScreenLockSuggestionActivity",
"اقتراحات تسجيل بصمة الإصبع في تطبيق إعدادات Android",
"com.android.settings.biometrics.fingerprint.FingerprintEnrollSuggestionActivity",
"اختيار قفل الشاشة الداخلي في تطبيق إعدادات Android",
"com.android.settings.password.ChooseLockGeneric$InternalActivity",
"اختيار نمط القفل في تطبيق إعدادات Android",
"com.android.settings.ChooseLockPattern",
"إعداد اختيار نمط القفل في تطبيق إعدادات Android",
"com.android.settings.SetupChooseLockPattern",
"إعداد اختيار نمط القفل عند التهيئة في تطبيق إعدادات Android",
"com.android.settings.ProvisionSetupChooseLockPattern",
"إعدادات بلوتوث الأمان في MIUI في تطبيق إعدادات Android",
"com.android.settings.MiuiSecurityBluetoothSettings",
"إعداد اختيار كلمة مرور القفل في تطبيق إعدادات Android",
"com.android.settings.SetupChooseLockPassword",
"إعداد اختيار كلمة مرور القفل عند التهيئة في تطبيق إعدادات Android",
"com.android.settings.ProvisionSetupChooseLockPassword",
"اختيار كلمة مرور القفل في تطبيق إعدادات Android",
"com.android.settings.ChooseLockPassword",
"حالة شريحة SIM في تطبيق إعدادات Android",
"com.android.settings.Settings$SimStatusActivity",
"معلومات IMEI في تطبيق إعدادات Android",
"com.android.settings.Settings$ImeiInformationActivity",
"لوحة تحكم التخزين في تطبيق إعدادات Android",
"com.android.settings.Settings$StorageDashboardActivity",
"إعدادات الحجم العام في تطبيق إعدادات Android",
"com.android.settings.Settings$PublicVolumeSettingsActivity",
"نسيان الحجم الخاص في تطبيق إعدادات Android",
"com.android.settings.Settings$PrivateVolumeForgetActivity",
"إعداد معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardInit",
"تأكيد تهيئة معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardFormatConfirm",
"تقدم تهيئة معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardFormatProgress",
"نقل معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardMigrate",
"تأكيد نقل معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardMigrateConfirm",
"تقدم نقل معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardMigrateProgress",
"جاهزية معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardReady",
"تأكيد نقل معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardMoveConfirm",
"تقدم نقل معالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardMoveProgress",
"تهيئة بطيئة لمعالج التخزين في تطبيق إعدادات Android",
"com.android.settings.deviceinfo.StorageWizardFormatSlow",
"محرر APN في MIUI في تطبيق إعدادات Android",
"com.android.settings.Settings$MiuiApnEditorActivity",
"إعدادات USB في تطبيق إعدادات Android",
"com.android.settings.UsbSettings",
"إعدادات التطوير المعطلة في تطبيق إعدادات Android",
"com.android.settings.development.DevelopmentSettingsDisabledActivity",
"إعدادات الطباعة في تطبيق إعدادات Android",
"com.android.settings.Settings$PrintSettingsActivity",
"إعدادات وظيفة الطباعة في تطبيق إعدادات Android",
"com.android.settings.Settings$PrintJobSettingsActivity",
"اختيار التطبيق في التطوير في تطبيق إعدادات Android",
"com.android.settings.development.AppPicker",
"إعدادات QR لفتح ADB في تطبيق إعدادات Android",
"com.android.settings.development.AdbQrCodeActivity",
"محمل DSU في تطبيق إعدادات Android",
"com.android.settings.development.DSULoader",
"شروط الخدمة في DSU في تطبيق إعدادات Android",
"com.android.settings.development.DSUTermsOfServiceActivity",
"عرض قائمة معلومات القطعة في التخزين في تطبيق إعدادات Android",
"com.android.settings.development.storage.BlobInfoListView",
"عرض قائمة معلومات الإيجار في التخزين في تطبيق إعدادات Android",
"com.android.settings.development.storage.LeaseInfoListView",
"اختيار تطبيق WebView في إعدادات Android",
"com.android.settings.Settings$WebViewAppPickerActivity",
"تنفيذ WebView في إعدادات Android",
"com.android.settings.WebViewImplementation",
"اختيار معالجة تقارير الأخطاء في إعدادات Android",
"com.android.settings.Settings$BugReportHandlerPickerActivity",
"حوار اقتران البلوتوث في إعدادات Android",
"com.android.settings.bluetooth.BluetoothPairingDialog",
"طلب الإذن في إعدادات Android",
"com.android.settings.bluetooth.RequestPermissionActivity",
"وضع مسح WiFi في إعدادات Android",
"com.android.settings.wifi.WifiScanModeActivity",
"اختيار وضع USB في إعدادات Android",
"com.android.settings.connecteddevice.usb.UsbModeChooserActivity",
"تفاصيل USB في إعدادات Android",
"com.android.settings.Settings$UsbDetailsActivity",
"إعدادات اتصال MTP في إعدادات Android",
"com.android.settings.connecteddevice.usb.MtpConnectionActivity",
"نشاط سماعة USB غير المدعومة في إعدادات Android",
"com.android.settings.connecteddevice.usb.UsbHeadsetUnSupportActivity",
"نشاط سماعة USB غير المدعومة في إعدادات Android",
"com.android.settings.Settings$UsbHeadsetUnSupportActivity",
"تقرير الأخطاء عن بعد في إعدادات Android",
"com.android.settings.RemoteBugreportActivity",
"إذن البلوتوث في إعدادات Android",
"com.android.settings.bluetooth.BluetoothPermissionActivity",
"نشاط سماعة الرأس في MIUI في إعدادات Android",
"com.android.settings.bluetooth.MiuiHeadsetActivity",
"اختيار النشاط في إعدادات Android",
"com.android.settings.ActivityPicker",
"إعدادات Android Beam في إعدادات Android",
"com.android.settings.Settings$AndroidBeamSettingsActivity",
"إعدادات Miracast في إعدادات Android",
"com.android.settings.Settings$MiracastSettingsActivity",
"إعدادات عرض WiFi في إعدادات Android",
"com.android.settings.Settings$WifiDisplaySettingsActivity",
"حالة عرض WiFi في إعدادات Android",
"com.android.settings.wfd.WifiDisplayStatusActivity",
"إعدادات ألوان وألعاب LED في إعدادات Android",
"com.android.settings.colorgameled.ColorGameLedCustomSettings",
"وضع النطاق في MIUI في إعدادات Android",
"com.android.settings.MiuiBandMode",
"نشاط التفويض في حساب Xiaomi في إعدادات Android",
"com.xiaomi.account.openauth.AuthorizeActivity",
"إعدادات الاختبار في إعدادات Android",
"com.android.settings.Settings$TestingSettingsActivity",
"إعادة ضبط المصنع في MIUI في إعدادات Android",
"com.android.settings.MiuiFactoryResetReceived",
"اختيار أداة التطبيق في إعدادات Android",
"com.android.settings.AppWidgetPickActivity",
"السماح بربط تطبيق الأداة في إعدادات Android",
"com.android.settings.AllowBindAppWidgetActivity",
"ملخص استخدام الطاقة في إعدادات Android",
"com.android.settings.Settings$PowerUsageSummaryActivity",
"إعدادات موفر البطارية في إعدادات Android",
"com.android.settings.Settings$BatterySaverSettingsActivity",
"وضع موفر البطارية الصوتي في إعدادات Android",
"com.android.settings.fuelgauge.BatterySaverModeVoiceActivity",
"إعدادات إدارة الحسابات في إعدادات Android",
"com.android.settings.Settings$ManageAccountsSettingsActivity",
"إعدادات مزامنة الحسابات في إعدادات Android",
"com.android.settings.Settings$AccountSyncSettingsActivity",
"إعدادات الحساب المدارة في إعدادات Android",
"com.android.settings.Settings$ManagedProfileSettingsActivity",
"إعدادات إضافة الحسابات في إعدادات Android",
"com.android.settings.accounts.AddAccountSettings",
"اختيار حساب MIUI في إعدادات Android",
"com.android.settings.accounts.MiuiChooseAccountActivity",
"اختيار الحساب في إعدادات Android",
"com.android.settings.accounts.ChooseAccountActivity",
"اختيار الحساب في إعدادات Android",
"com.android.settings.Settings$ChooseAccountActivity",
"الصفحة الرئيسية البديلة في إعدادات Android",
"com.android.settings.FallbackHome",
"قائمة استخدام بيانات الجوال في إعدادات Android",
"com.android.settings.Settings$MobileDataUsageListActivity",
"إعدادات الأحلام في إعدادات Android",
"com.android.settings.Settings$DreamSettingsActivity",
"إعدادات مشتركة في إعدادات Android",
"com.android.settings.Settings$CommunalSettingsActivity",
"إعدادات المستخدم في إعدادات Android",
"com.android.settings.Settings$UserSettingsActivity",
"إعدادات الدفع في إعدادات Android",
"com.android.settings.Settings$PaymentSettingsActivity",
"نشاط NFC في MIUI في إعدادات Android",
"com.android.settings.Settings$MiuiNfcActivity",
"حوار الإعدادات الافتراضية للدفع في NFC في إعدادات Android",
"com.android.settings.nfc.PaymentDefaultDialog",
"كيفية عمل NFC في إعدادات Android",
"com.android.settings.nfc.HowItWorks",
"إعدادات الوصول إلى الإشعارات في إعدادات Android",
"com.android.settings.Settings$NotificationAccessSettingsActivity",
"تفاصيل الوصول إلى الإشعارات في إعدادات Android",
"com.android.settings.Settings$NotificationAccessDetailsActivity",
"إعدادات مساعد الإشعارات في إعدادات Android",
"com.android.settings.Settings$NotificationAssistantSettingsActivity",
"إعدادات مستمعي الواقع الافتراضي في إعدادات Android",
"com.android.settings.Settings$VrListenersSettingsActivity",
"تغيير حالة WiFi في إعدادات Android",
"com.android.settings.Settings$ChangeWifiStateActivity",
"إعدادات صورة داخل صورة في إعدادات Android",
"com.android.settings.Settings$PictureInPictureSettingsActivity",
"إعدادات صورة داخل صورة للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AppPictureInPictureSettingsActivity",
"إعدادات تشغيل الشاشة في إعدادات Android",
"com.android.settings.Settings$TurnScreenOnSettingsActivity",
"إعدادات تشغيل الشاشة للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AppTurnScreenOnSettingsActivity",
"إعدادات التفاعل بين الملفات الشخصية في إعدادات Android",
"com.android.settings.Settings$InteractAcrossProfilesSettingsActivity",
"إعدادات التفاعل بين الملفات الشخصية للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AppInteractAcrossProfilesSettingsActivity",
"تفاصيل الوصول إلى وضع عدم الإزعاج في إعدادات Android",
"com.android.settings.Settings$ZenAccessDetailSettingsActivity",
"إعدادات الوصول إلى وضع عدم الإزعاج في إعدادات Android",
"com.android.settings.Settings$ZenAccessSettingsActivity",
"نشاط الوضع الصامت في MIUI في إعدادات Android",
"com.android.settings.Settings$MiuiSilentModeAcivity",
"إعدادات تكوين الإشعارات في إعدادات Android",
"com.android.settings.Settings$ConfigureNotificationSettingsActivity",
"إعدادات قائمة المحادثات في إعدادات Android",
"com.android.settings.Settings$ConversationListSettingsActivity",
"إعدادات إشعارات الفقاعة للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AppBubbleNotificationSettingsActivity",
"إعدادات الوصول إلى الرسائل القصيرة المميزة في إعدادات Android",
"com.android.settings.Settings$PremiumSmsAccessActivity",
"نشاط إعدادات الصوت في MIUI في إعدادات Android",
"com.android.settings.MiuiSoundSettingsActivity",
"إعدادات الصوت في إعدادات Android",
"com.android.settings.SoundSettings",
"نشاط التفاصيل الصوتية في إعدادات Android",
"com.android.settings.haptic.HapticDetailActivity",
"نشاط الصوت المثير للاهتمام في إعدادات Android",
"com.android.settings.haptic.HapticInterestingActivity",
"قائمة التطبيقات المستنسخة في إعدادات Android",
"com.android.settings.Settings$ClonedAppsListActivity",
"مراجعة أذونات الإشعارات في إعدادات Android",
"com.android.settings.Settings$NotificationReviewPermissionsActivity",
"إعدادات إشعارات التطبيق في إعدادات Android",
"com.android.settings.Settings$AppNotificationSettingsActivity",
"نشاط لوحة القنوات في إعدادات Android",
"com.android.settings.notification.app.ChannelPanelActivity",
"إعدادات الاتصال بكبار الشخصيات في وضع عدم الإزعاج في إعدادات Android",
"com.android.settings.dndmode.VipCallSettings",
"تأكيد الوصول إلى الإشعارات في إعدادات Android",
"com.android.settings.notification.NotificationAccessConfirmationActivity",
"إعدادات الوقت التلقائي في وضع عدم الإزعاج في إعدادات Android",
"com.android.settings.dndmode.AutoTimeSettings",
"محتوى التنبيه في إعدادات وضع عدم الإزعاج في إعدادات Android",
"com.android.settings.dndmode.AlarmContentActivity",
"نشاط وضع عدم الإزعاج في إعدادات Android",
"com.android.settings.dndmode.DoNotDisturbModeActivity",
"النشاط الهادئ في وضع عدم الإزعاج في إعدادات Android",
"com.android.settings.dndmode.QuietActivity",
"إعدادات حذف قاعدة الوضع الصامت في إعدادات Android",
"com.android.settings.notification.SilentModeDeleteRuleSettings",
"إعدادات الوضع الصامت في إعدادات Android",
"com.android.settings.notification.SilentModeSettings",
"إعدادات قاعدة الوضع الصامت في إعدادات Android",
"com.android.settings.notification.SilentModeRuleSettings",
"حوار الرسائل القصيرة الافتراضي في MIUI في إعدادات Android",
"com.android.settings.applications.MiuiSmsDefaultDialog",
"حوار الرسائل القصيرة الافتراضي في إعدادات Android",
"com.android.settings.SmsDefaultDialog",
"إعدادات شريحة SIM في إعدادات Android",
"com.android.settings.Settings$SimSettingsActivity",
"طلب تبديل WiFi في إعدادات Android",
"com.android.settings.wifi.RequestToggleWiFiActivity",
"حوار WiFi في إعدادات Android",
"com.android.settings.wifi.WifiDialogActivity",
"حوار طلب الشبكة في WiFi في إعدادات Android",
"com.android.settings.wifi.NetworkRequestDialogActivity",
"حوار شريحة SIM في إعدادات Android",
"com.android.settings.sim.SimDialogActivity",
"نشاط التعامل مع الفلاش في إعدادات Android",
"com.android.settings.flashlight.FlashlightHandleActivity",
"إعدادات الاتصال عبر WiFi في إعدادات Android",
"com.android.settings.Settings$WifiCallingSettingsActivity",
"إعدادات التطبيقات المفضلة في إعدادات Android",
"com.android.settings.applications.PreferredSettings",
"نشاط وضع الورق للشاشة في إعدادات Android",
"com.android.settings.display.ScreenPaperModeActivity",
"إعدادات التطبيق المفضل للاتصال في إعدادات Android",
"com.android.settings.applications.PreferredDialerSettings",
"تأكيد كلمة المرور العامة في MIUI في إعدادات Android",
"com.android.settings.MiuiConfirmCommonPassword",
"تأكيد قفل كلمة المرور عند التثبيت في MIUI في إعدادات Android",
"com.android.settings.MiuiConfirmLockPasswordInstall",
"نشاط نصيحة WiFi في إعدادات Android",
"com.android.settings.wifi.WifiTipActivity",
"قائمة التطبيقات لتعطيل أزرار الشاشة تلقائيًا في إعدادات Android",
"com.android.settings.AutoDisableScreenButtonsAppListSettingsActivity",
"نشاط اقتراحات الاتصال عبر WiFi في إعدادات Android",
"com.android.settings.wifi.calling.WifiCallingSuggestionActivity",
"إعدادات التراكب في إعدادات Android",
"com.android.settings.Settings$OverlaySettingsActivity",
"إعدادات التراكب للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AppDrawOverlaySettingsActivity",
"إعدادات الكتابة في إعدادات Android",
"com.android.settings.Settings$WriteSettingsActivity",
"إعدادات الكتابة للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AppWriteSettingsActivity",
"إعدادات التنبيهات والتذكيرات في إعدادات Android",
"com.android.settings.Settings$AlarmsAndRemindersActivity",
"إعدادات التنبيهات والتذكيرات للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AlarmsAndRemindersAppActivity",
"إعدادات إدارة المصادر الخارجية في إعدادات Android",
"com.android.settings.Settings$ManageExternalSourcesActivity",
"إعدادات إدارة المصادر الخارجية للتطبيقات في إعدادات Android",
"com.android.settings.Settings$ManageAppExternalSourcesActivity",
"حوار تعطيل الإجراءات بواسطة المشرف في إعدادات Android",
"com.android.settings.enterprise.ActionDisabledByAdminDialog",
"حوار تعطيل الإجراءات بواسطة عمليات التطبيق في إعدادات Android",
"com.android.settings.ActionDisabledByAppOpsDialog",
"إعدادات إدارة التخزين الخارجي في إعدادات Android",
"com.android.settings.Settings$ManageExternalStorageActivity",
"إعدادات إدارة التخزين الخارجي للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AppManageExternalStorageActivity",
"إعدادات تطبيقات إدارة الوسائط في إعدادات Android",
"com.android.settings.Settings$MediaManagementAppsActivity",
"إعدادات تطبيقات إدارة الوسائط للتطبيقات في إعدادات Android",
"com.android.settings.Settings$AppMediaManagementAppsActivity",
"إعدادات التطبيقات المتقدمة في إعدادات Android",
"com.android.settings.Settings$AdvancedAppsActivity",
"نشاط إعدادات النسخ الاحتياطي للمستخدم في إعدادات Android",
"com.android.settings.backup.UserBackupSettingsActivity",
"إعدادات إدارة التخزين التلقائي في إعدادات Android",
"com.android.settings.Settings$AutomaticStorageManagerSettingsActivity",
"نشاط تفاصيل استخدام الطاقة المتقدمة في إعدادات Android",
"com.android.settings.fuelgauge.AdvancedPowerUsageDetailActivity",
"نشاط لوحة التطبيقات في إعدادات Android",
"com.android.settings.Settings$AppDashboardActivity",
"نشاط لوحة الحسابات في إعدادات Android",
"com.android.settings.Settings$AccountDashboardActivity",
"نشاط لوحة النظام في إعدادات Android",
"com.android.settings.Settings$SystemDashboardActivity",
"نشاط اختيار الملء التلقائي في إعدادات Android",
"com.android.settings.applications.autofill.AutofillPickerActivity",
"نشاط الترامبولين لاختيار الملء التلقائي في إعدادات Android",
"com.android.settings.applications.autofill.AutofillPickerTrampolineActivity",
"نشاط الأجهزة المتصلة المتقدمة في إعدادات Android",
"com.android.settings.Settings$AdvancedConnectedDeviceActivity",
"إعدادات NFC في إعدادات Android",
"com.android.settings.Settings$NfcSettingsActivity",
"تفاصيل جهاز Bluetooth في إعدادات Android",
"com.android.settings.Settings$BluetoothDeviceDetailActivity",
"نشاط بث Bluetooth في إعدادات Android",
"com.android.settings.Settings$BluetoothBroadcastActivity",
"العثور على بث Bluetooth في إعدادات Android",
"com.android.settings.Settings$BluetoothFindBroadcastsActivity",
"تفاصيل قلم Stylus USI في إعدادات Android",
"com.android.settings.Settings$StylusUsiDetailsActivity",
"نشاط لوحة إعدادات MIUI في إعدادات Android",
"com.android.settings.settingspanel.MiuiSettingsPanelActivity",
"نشاط إضافة شبكات التطبيقات في WiFi في إعدادات Android",
"com.android.settings.wifi.addappnetworks.AddAppNetworksActivity",
"نشاط لوحة الإعدادات في إعدادات Android",
"com.android.settings.panel.SettingsPanelActivity",
"مكون تكوين WiFi DPP في إعدادات Android",
"com.android.settings.wifi.dpp.WifiDppConfiguratorActivity",
"إعدادات تكوين WiFi في إعدادات Android",
"com.android.settings.wifi.WifiProvisionSettingsActivity",
"نشاط التسجيل في WiFi DPP في إعدادات Android",
"com.android.settings.wifi.dpp.WifiDppEnrolleeActivity",
"حوار ملاحظات بطاقة السياق في الصفحة الرئيسية في إعدادات Android",
"com.android.settings.homepage.contextualcards.ContextualCardFeedbackDialog",
"حوار إعادة تسجيل الوجه في الصفحة الرئيسية في إعدادات Android",
"com.android.settings.homepage.contextualcards.FaceReEnrollDialog",
"تنصل الاتصال عبر WiFi في إعدادات Android",
"com.android.settings.Settings$WifiCallingDisclaimerActivity",
"إعدادات جدولة موفر البطارية في إعدادات Android",
"com.android.settings.Settings$BatterySaverScheduleSettingsActivity",
"إعدادات قائمة الطاقة في إعدادات Android",
"com.android.settings.Settings$PowerMenuSettingsActivity",
"إعدادات التنقل بالإيماءات في إعدادات Android",
"com.android.settings.Settings$GestureNavigationSettingsActivity",
"إعدادات التنقل بالأزرار في إعدادات Android",
"com.android.settings.Settings$ButtonNavigationSettingsActivity",
"إعدادات التحكم في الوسائط في إعدادات Android",
"com.android.settings.Settings$MediaControlsSettingsActivity",
"اختيار شريحة SIM في إعدادات Android",
"com.android.settings.sim.ChooseSimActivity",
"تأكيد التحويل إلى eSIM في إعدادات Android",
"com.android.settings.sim.SwitchToEsimConfirmDialogActivity",
"حوار بطاقة SIM المزدوجة في إعدادات Android",
"com.android.settings.sim.DsdsDialogActivity",
"نشاط تحويل الشريحة الذكي في إعدادات Android",
"com.android.settings.sim.smartForwarding.SmartForwardingActivity",
"إعدادات إعادة ضبط المصنع في إعدادات Android",
"com.android.settings.Settings$FactoryResetActivity",
"تأكيد إعادة ضبط المصنع في إعدادات Android",
"com.android.settings.Settings$FactoryResetConfirmActivity",
"نشاط قائمة مستخدمي PLMN في إعدادات Android",
"com.android.settings.network.telephony.UserPLMNListActivity",
"نشاط محرر مستخدمي PLMN في إعدادات Android",
"com.android.settings.network.telephony.UserPLMNEditorActivity",
"نشاط إعدادات اليد الواحدة في إعدادات Android",
"com.android.settings.Settings$OneHandedSettingsActivity",
"وضع مسح رمز الاستجابة السريعة في Bluetooth في إعدادات Android",
"com.android.settings.bluetooth.QrCodeScanModeActivity",
"نشاط SPA في إعدادات Android",
"com.android.settings.spa.SpaActivity",
"نشاط SPA في إعدادات Android",
"com.android.settings.spa.SpaBridgeActivity",
"إحصائيات الاستخدام في إعدادات Android",
"com.android.settings.UsageStatsActivity",
"إدارة النوايا الكاملة للشاشة في إعدادات Android",
"com.android.settings.ManageFullScreenIntent",
"جسر تطبيق SPA في إعدادات Android",
"com.android.settings.spa.SpaAppBridgeActivity",
"إدارة النوايا الكاملة للشاشة للتطبيقات في إعدادات Android",
"com.android.settings.AppManageFullScreenIntent",
"تعيين كلمة مرور النسخ الاحتياطي الكامل في إعدادات MIUI",
"com.android.settings.development.MiuiSetFullBackupPassword",
"بصمة الإصبع الجديدة في إعدادات Android",
"com.android.settings.NewFingerprintInternalActivity",
"إعداد بصمة الإصبع الجديدة في إعدادات Android",
"com.android.settings.SetUpNewFingerprintInternalActivity",
"قفل الأمان بعد مهلة في إعدادات Android",
"com.android.settings.LockSecureAfterTimeout",
"إدارة إعدادات بصمة الإصبع في إعدادات Android",
"com.android.settings.FingerprintManageSetting",
"إعدادات السطوع في إعدادات Android",
"com.android.settings.display.BrightnessActivity",
"حوار مهلة الشاشة في إعدادات Android",
"com.android.settings.display.ScreenTimeoutDialogActivity",
"حوار دقة الشاشة في إعدادات Android",
"com.android.settings.display.ScreenResolutionDialogActivity",
"إعدادات حجم الخط في إعدادات Android",
"com.android.settings.display.FontSizeSettings",
"إعدادات إيماءات TOF في إعدادات Android",
"com.android.settings.tofgesture.TofGestureActivity",
"إعدادات حجم نغمة الرنين في إعدادات Android",
"com.android.settings.sound.RingerVolumeActivity",
"إعدادات نغمة الرنين في إعدادات Android",
"com.android.settings.sound.RingtoneActivity",
"إعدادات استلام الرسائل القصيرة في إعدادات Android",
"com.android.settings.sound.SmsReceivedActivity",
"أسلوب مؤشر البطارية في إعدادات Android",
"com.android.settings.fuelgauge.BatteryIndicatorStyle",
"إعدادات وضع الطاقة في إعدادات Android",
"com.android.settings.fuelgauge.PowerModeSettings",
"إعدادات تكوين WiFi في إعدادات Android",
"com.android.settings.wifi.WifiConfigActivity",
"استخدام بيانات الجوال في KDDI في إعدادات MIUI",
"com.android.settings.operator.kddi.MiuiMobileDataUsedActivity",
"حوار وضع الخصوصية في إعدادات Android",
"com.android.settings.PrivacyModeDialog",
"معلومات الأذونات في إعدادات التطبيقات في إعدادات Android",
"com.android.settings.applications.PermissionInfoActivity",
"إدارة التطبيقات في إعدادات Android",
"com.android.settings.applications.ManageApplicationsActivity",
"إعدادات مفسر التطبيقات في إعدادات Android",
"com.android.settings.applications.ResolverSettingsActivity",
"حالة IMEI في إعدادات Android",
"com.android.settings.msim.StatusImei",
"حالة SIM في إعدادات Android",
"com.android.settings.msim.StatusSim",
"تفاصيل الخدمات الجارية في التطبيقات في إعدادات Android",
"com.android.settings.applications.RunningServiceDetailsActivity",
"إعدادات AGPS في إعدادات Android",
"com.android.settings.AgpsSettings",
"إضافة حساب في MIUI في إعدادات Android",
"com.android.settings.accounts.MiuiAddAccountSettings",
"إعادة تعيين كلمة المرور القديمة في إعدادات Android",
"com.android.settings.ResetLegacyPassword",
"اختيار التحكم في الوصول في إعدادات Android",
"com.android.settings.ChooseAccessControl",
"اختيار نمط القفل في MIUI في إعدادات Android",
"com.android.settings.MiuiChooseLockPattern",
"دروس اختيار نمط القفل في إعدادات Android",
"com.android.settings.ChooseLockPatternTutorial",
"إعدادات التحكم في الوصول للتطبيقات في إعدادات Android",
"com.android.settings.AccessControlSetApp",
"اختيار نمط القفل للرسائل القصيرة في إعدادات Android",
"com.android.settings.ChooseSmsLockPattern",
"تأكيد نمط القفل للرسائل القصيرة في إعدادات Android",
"com.android.settings.ConfirmSmsLockPattern",
"اختيار نمط القفل للمعرض في إعدادات Android",
"com.android.settings.ChooseGalleryLockPattern",
"تأكيد نمط القفل للمعرض في إعدادات Android",
"com.android.settings.ConfirmGalleryLockPattern",
"إعدادات الحافة في إعدادات Android",
"com.android.settings.Settings$EdgeSettingsActivity",
"التسجيل في WiFi DPP في MIUI في إعدادات Android",
"com.android.settings.wifi.dpp.MiuiWifiDppEnrolleeActivity",
"إعدادات WiFi DPP في MIUI في إعدادات Android",
"com.android.settings.wifi.dpp.MiuiWifiDppConfiguratorActivity",
"إعدادات قائمة التطبيقات للإشعارات في إعدادات Android",
"com.android.settings.Settings$NotificationAppListSettingsActivity",
"إعدادات فلتر الإشعارات في إعدادات Android",
"com.android.settings.Settings$NotificationFilterActivity",
"معلومات البطارية في إعدادات Android",
"com.android.settings.BatteryInfo",
"اختيار التطبيقات في MIUI في إعدادات Android",
"com.android.settings.MiuiAppPicker",
"تطبيق إعدادات محمل الإقلاع في إعدادات Android",
"com.android.settings.BootloaderApplyActivity",
"إعدادات خدمة الإعلانات في إعدادات Android",
"com.android.settings.ad.AdServiceSettings",
"إعدادات استدعاء HTTP في إعدادات Android",
"com.android.settings.HttpInvokeAppSettings",
"إعدادات الاستخدام والتشخيصات في إعدادات Android",
"com.android.settings.UsageAndDiagnosticsActivity",
"إعدادات بصمة الإصبع في الأمان في MIUI في إعدادات Android",
"com.android.settings.MiuiSecurityFingerprintSettings",
"حالة محمل الإقلاع في إعدادات Android",
"com.android.settings.bootloader.BootloaderStatusActivity",
"إعدادات كلمة مرور الخصوصية في إعدادات Android",
"com.android.settings.privacypassword.PrivacyPasswordSetting",
"تأكيد الوصول للتحكم في الخصوصية في إعدادات Android",
"com.android.settings.privacypassword.PrivacyPasswordConfirmAccessControl",
"تعديل وإرشادات كلمة مرور الخصوصية في إعدادات Android",
"com.android.settings.privacypassword.ModifyAndInstructionPrivacyPassword",
"اختيار التحكم في الخصوصية في إعدادات كلمة المرور في إعدادات Android",
"com.android.settings.privacypassword.PrivacyPasswordChooseAccessControl",
"مساعد شفاف في إعدادات كلمة المرور في إعدادات الخصوصية في إعدادات Android",
"com.android.settings.privacypassword.TransparentHelper",
"مواصفات وظيفة كلمة مرور الخصوصية في إعدادات Android",
"com.android.settings.privacypassword.FunctionSpecification",
"تعيين كلمة مرور الخصوصية لاختيار التحكم في الوصول في إعدادات Android",
"com.android.settings.privacypassword.SetPrivacyPasswordChooseAccessControl",
"اختيار نمط القفل لكلمة مرور الخصوصية في إعدادات Android",
"com.android.settings.PrivacyPasswordChooseLockPattern",
"تأكيد نمط القفل لكلمة مرور الخصوصية في إعدادات Android",
"com.android.settings.PrivacyPasswordConfirmLockPattern",
"إضافة حساب في إعدادات كلمة مرور الخصوصية في إعدادات Android",
"com.android.settings.privacypassword.AddAccountActivity",
"إعدادات مسح النظام في MIUI في إعدادات Android",
"com.android.settings.MiuiMasterClearApplyActivity",
"دليل غطاء الذكي في MIUI في إعدادات Android",
"com.android.settings.MiuiSmartCoverGuideActivity",
"إعدادات إلغاء الخصوصية في إعدادات Android",
"com.android.settings.privacy.PrivacyRevocationSettings",
"حوار منح الخصوصية في إعدادات Android",
"com.android.settings.privacy.PrivacyGrantDialog",
"إعدادات محرك تحسين الشاشة في إعدادات Android",
"com.android.settings.display.ScreenEnhanceEngineActivity",
"إعدادات محرك تحسين الشاشة في SR في إعدادات Android",
"com.android.settings.display.ScreenEnhanceEngineSrActivity",
"إعدادات محرك تحسين الشاشة في AI في إعدادات Android",
"com.android.settings.display.ScreenEnhanceEngineAiActivity",
"إعدادات محرك تحسين الشاشة في S2H في إعدادات Android",
"com.android.settings.display.ScreenEnhanceEngineS2hActivity",
"إعدادات محرك تحسين الشاشة في MEMC في إعدادات Android",
"com.android.settings.display.ScreenEnhanceEngineMemcActivity",
"إعدادات الوضع المظلم في إعدادات Android",
"com.android.settings.display.DarkModeActivity",
"إعدادات الشفافية في إعدادات Android",
"com.android.settings.display.TranslucentActivity",
"إعدادات نمط AOD في إعدادات Android",
"com.android.settings.display.AODStyleActivity",
"إعدادات AOD في إعدادات Android",
"com.android.settings.AODSettingActivity",
"إعدادات الصفحة الرئيسية الافتراضية في إعدادات التطبيقات في إعدادات Android",
"com.android.settings.applications.DefaultHomeSettings",
"نشاط إعدادات الذكاء الاصطناعي في إعدادات Android",
"com.android.settings.ai.AiSettingsSubActivity",
"إعدادات الذكاء الاصطناعي في إعدادات Android",
"com.android.settings.ai.AiSettingsActivity",
"حوار الخصوصية في MIUI في إعدادات Android",
"com.android.settings.mqsas.PrivacyDialogActivity",
"إعدادات عرض الشاشة في إعدادات Android",
"com.android.settings.Settings$ScreenProjectionActivity",
"إعدادات وضع التطبيقات في إعدادات Android",
"com.android.settings.applicationmode.ApplicationModeActivity",
"إعدادات السماعات في إعدادات Android",
"com.android.settings.Settings$SpeakerSettingsActivity",
"إعدادات اختصار الوصول في إعدادات Android",
"com.android.settings.accessibility.AccessibilityShortcutTypeActivity",
"إعدادات اختصار التكبير في الوصول في إعدادات Android",
"com.android.settings.accessibility.AccessibilityMagnificationShortcutTypeActivity",
"إعدادات المشكلات الشائعة في النسخ الاحتياطي في إعدادات Android",
"com.android.settings.backup.CommonIssueActivity",
"إعدادات SAR المخصصة في MIUI في إعدادات Android",
"com.android.settings.deviceinfo.MiuiSARCustActivity",
"جهات الاتصال الطارئة في إعدادات الطوارئ في إعدادات Android",
"com.android.settings.emergency.ui.EmergencyContactsActivity",
"تنبيه خروج SOS في إعدادات الطوارئ في إعدادات Android",
"com.android.settings.emergency.ui.SosExitAlertActivity",
"إطلاق SOS في إعدادات الطوارئ في إعدادات Android",
"com.android.settings.emergency.ui.SosLaunchingActivity",
"إدخال بيانات الوجه في MIUI في إعدادات فتح الوجه في إعدادات Android",
"com.android.settings.faceunlock.MiuiFaceDataInput",
"إدخال الوجه بالكاميرا العادية في MIUI في إعدادات فتح الوجه في إعدادات Android",
"com.android.settings.faceunlock.MiuiNormalCameraFaceInput",
"إدخال الوجه بالكاميرا المتعددة في MIUI في إعدادات فتح الوجه في إعدادات Android",
"com.android.settings.faceunlock.MiuiNormalCameraMultiFaceInput",
"مقدمة بيانات الوجه في MIUI في إعدادات فتح الوجه في إعدادات Android",
"com.android.settings.faceunlock.MiuiFaceDataIntroduction",
"مطالبات بيانات الوجه في MIUI في إعدادات فتح الوجه في إعدادات Android",
"com.android.settings.faceunlock.MiuiFaceDataPrompt",
"إدارة بيانات الوجه في MIUI في إعدادات فتح الوجه في إعدادات Android",
"com.android.settings.faceunlock.MiuiFaceDataManage",
"أسئلة التفاصيل في النسخ الاحتياطي في إعدادات Android",
"com.android.settings.backup.DetailQuestionActivity",
"كتم الموسيقى في MIUI في إعدادات الإشعارات في إعدادات Android",
"com.android.settings.notification.MiuiMusicMuteActivity",
"إعدادات حماية الشاشة الكلاسيكية في إعدادات Android",
"com.android.settings.display.ClassicProtectionActivity",
"دليل تنزيل كلمة المرور في شاشة القفل في إعدادات Android",
"com.android.settings.KeyguardPasswordSlidingGuideActivity",
"إعدادات حماية الورق في إعدادات Android",
"com.android.settings.display.PaperProtectionActivity",
"إعدادات طمس الصور المصغرة في المهام الأخيرة في إعدادات Android",
"com.android.settings.recents.PrivacyThumbnailBlurSettings",
"حوار تنزيل المفتاح في إعدادات Android",
"com.android.settings.KeyDownloadDialogActivity",
"حوار الربط في إعدادات Android",
"com.android.settings.TetherDialogActivity",
"حوار دليل مساعد Google في إعدادات Android",
"com.android.settings.GoogleAssistantGuideDialogActivity",
"مكون برنامج نشاط سماعة الرأس في MIUI في إعدادات Bluetooth في إعدادات Android",
"com.android.settings.bluetooth.MiuiHeadsetActivityPlugin",
"نشاط Java في الإعدادات الإضافية في Android",
"plugin.settings.java.JavaActivity",
"إعدادات نقطة الربط للحسابات في WiFi في إعدادات Android",
"com.android.settings.wifi.tether.AccountApSettingsActivity",
"إعدادات إطلاق POM في Orange في إعدادات Android",
"com.android.settings.orange.PomLaunchConfigActivity",
"نشاط إذن Slice في إعدادات التوافق في إعدادات Android",
"androidx.slice.compat.SlicePermissionActivity",
"اختيار الصورة الرمزية في إعدادات المستخدمين في إعدادات Android",
"com.android.settingslib.users.AvatarPickerActivity",
}

-- قائمة الأكواد الأصلية
originalCodes = codes

-- دالة لتصفية الأكواد بناءً على النص المدخل
function filterItems(text)
    local filteredCodes = {}
    local found = false
    for i, code in ipairs(originalCodes) do
        if string.match(code, text) then
            found = true
            -- إضافة النتيجة المطابقة
            table.insert(filteredCodes, code)
            -- إضافة العنصر التالي إذا كان موجودًا وليس الأخير في القائمة
            if i < #originalCodes then
                table.insert(filteredCodes, originalCodes[i+1])
            end
        end
    end
    return filteredCodes
end

-- دالة لتحديث القائمة بالعناصر المصفاة
function updateAdapter(filtered)
    local adapter = ArrayAdapter(this, android.R.layout.simple_list_item_1, filtered)
    listView.setAdapter(adapter)
    itemCount.setText("عدد العناصر: " .. #filtered)
end

-- دالة لنسخ جميع العناصر المعروضة
function copyAllItems()
    local adapter = listView.getAdapter()
    local count = adapter.getCount()
    local itemsToCopy = {}
    for i = 0, count - 1 do
        local item = adapter.getItem(i)
        table.insert(itemsToCopy, item)
    end
    local copiedText = table.concat(itemsToCopy, "\n")
    service.copy(copiedText)
    service.speak("تم النسخ")
end

-- إعداد الحوار
dlg = LuaDialog(this)
dlg.View = loadlayout(layout)

-- إعداد القائمة بالأكواد الأصلية
local adapter = ArrayAdapter(this, android.R.layout.simple_list_item_1, originalCodes)
listView.setAdapter(adapter)
itemCount.setText("عدد العناصر: " .. #originalCodes)

-- دالة للبحث
searchBox.addTextChangedListener{
    onTextChanged=function(s, start, before, count)
        local searchText = s.toString()
        local filtered = filterItems(searchText)
        updateAdapter(filtered)
    end
}

-- تعامل مع النقر على العنصر
listView.onItemClick = function(parent, view, position, id)
    local item = parent.getItemAtPosition(position)
    
    -- Check if the item text starts with Arabic characters
    if string.match(item, "^[\u0600-\u06FF]") then
        -- Print a message or handle accordingly (optional)
service.speak("هذا عنوانٌ فقط")
    else
service.click({{"#button2>2"}})
        -- Execute the original code
        loadstring("require 'import' import 'android.content.*' i = Intent().setComponent(ComponentName('com.android.settings', '"..item.."')) this.startActivity(i)")()
        dlg.dismiss()
    end
end

-- تعامل مع النقر المطول على العنصر
listView.onItemLongClick = function(parent, view, position, id)
local item = parent.getItemAtPosition(position)
service.copy("require \'import\' import \"android.content.*\" i= Intent() .setComponent(ComponentName(\"com.android.settings\", \""..item.."\")) this.startActivity(i)")
    return true
end

dlg.show()